Bug 1272112 - ipsec whack man page discrepancies
Summary: ipsec whack man page discrepancies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreswan
Version: 7.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Paul Wouters
QA Contact: Jaroslav Aster
URL:
Whiteboard:
Depends On: 1271778
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-15 14:03 UTC by Ondrej Moriš
Modified: 2016-11-03 21:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Cause: man page had old reference for itself Consequence: the man page for "ipsec whack" was not found Fix: man pages updated with proper references Result: the man pages for sub-commands like "ipsec whack" now work properly
Clone Of: 1271778
Environment:
Last Closed: 2016-11-03 21:21:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2603 0 normal SHIPPED_LIVE Moderate: libreswan security and bug fix update 2016-11-03 12:13:02 UTC

Description Ondrej Moriš 2015-10-15 14:03:07 UTC
+++ This bug was initially created as a clone of Bug #1271778 +++

Description of problem:

Man page ipsec_whack is missing and man ipsec whack points to ipsec(8) instead of ipsec_pluto(8).

Version-Release number of selected component (if applicable):

libreswan-3.15-4.el6

How reproducible:

100%

Steps to Reproduce:
1. man ipsec_whack
2. man ipsec whack

Actual results:

1. No manual entry for ipsec_whack
2. IPSEC(8)

Expected results:

1. IPSEC_PLUTO(8)
2. IPSEC_PLUTO(8)

Additional info:

N/A

--- Additional comment from Paul Wouters on 2015-10-14 13:25:12 EDT ---

diff --git a/programs/pluto/ipsec_pluto.8.xml b/programs/pluto/ipsec_pluto.8.xml
index 1e15144..3c823dc 100644
--- a/programs/pluto/ipsec_pluto.8.xml
+++ b/programs/pluto/ipsec_pluto.8.xml
@@ -18,6 +18,7 @@
 
   <refnamediv id="name">
     <refname>ipsec pluto</refname>
+    <refname>ipsec whack</refname>
     <refname>pluto</refname>
 
     <refpurpose>ipsec whack : IPsec IKE keying daemon and control interface</refpurpose>

Comment 5 Paul Wouters 2016-02-19 16:08:49 UTC
note. this would come in via rebase to 3.17 or 3.18 as it is committed upstream already.

Comment 9 errata-xmlrpc 2016-11-03 21:21:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2603.html


Note You need to log in before you can comment on or make changes to this bug.